<style>
  .padded-container {
    padding: 16px;
  }
  .forgot-password {
    margin-top: 18px;
  }
  .message-title {
    font-size: 20px;
    font-family: open_sans_bold;
    font-weight: 800;
    line-height: 22px;
  }
  #login-link {
    display: flex;
    margin-bottom: 24px;
  }
  #login-link-arrow {
    fill: #266DCC;
    height: 22px;
    width: 22px;
    margin-right: 8px;
  }
  #login-link-text {
    font-size: 14px;
    line-height: 22px;
  }
  .primary-button {
    padding: 0;
    font-size: 16px;
  }
  label {
      font-size: 14px;
  }
  .input-tip {
    font-family: open_sans;
    width: 90vw;
    font-size: 12px;
    color: #717170;
    margin: 0;
  }

  .text-input {
    padding: 8px;
    margin-top: 4px;
    background-color: white;
    background: #ffffff;
    border-radius: 8px;
    border: 1px solid #717170;
    width: 100%;
    box-sizing: border-box;
    display: block;
  }

  .hidden {
    display: none !important;
  }

  .form-error {
    color: #e71316;
    font-family: open_sans;
    font-size: 12px;
    line-height: 16px;
    letter-spacing: 0.466667px;
    margin-top: 3px;
    margin-bottom: 0px;
  }

  .text-input-error {
    background: rgba(231, 19, 22, 0.2);
    border: 1px solid #E71316;
    border-radius: 8px;
  }

  button:disabled {
    color: rgba(0, 0, 0, 0.26);
    background-color: rgba(0, 0, 0, 0.12);
  }
</style>

<div class="padded-container">

    <a href="{{ base_path }}/login?client_id={{client_id}}" id="login-link">
        <svg id="login-link-arrow" focusable="false" viewBox="0 0 24 24" aria-hidden="true">
          <path d="M20 11H7.83l5.59-5.59L12 4l-8 8 8 8 1.41-1.41L7.83 13H20v-2z"></path>
        </svg>
        <span id="login-link-text">Back to sign in</span>
    </a>

    <h2 class="message-title">Enter your email address to reset your password</h2>
    <form method="post" class="forgot-password" action="{{ base_path }}/forgot_password">
      <input name="_csrf" type="hidden" value="{{ csrf_token }}">
      <input name="client_id" type="hidden" value="{{ client_id }}">

      <!-- Email -->
      <div id="email-container">
        <label for="email" class="register-field-labels">Email</label>
        <input type="email" id="email" name="email" class="text-input" autocomplete="email" value="{{{ email }}}" />
        <p class="form-error hidden" id="email-error"></p>
      </div>

      <button id="submit" class="primary-button" disabled>
        {{ t "Submit" }}
      </button>
    </form>
</div>


<script>
  if (window.parent) {
    window.parent.postMessage({ type: "idp-forgot-password" }, "*")
  }

  const form = document.querySelector('form');
  const emailField = document.getElementById('email');
  const submitButton = document.getElementById('submit');

  const email = form.querySelector('[name="email"]');

  email.addEventListener('blur', () => didUpdateEmail(email.value));
  email.addEventListener('input', () => isReadyToSubmit(email.value));

  function isValidEmail(emailValue) {
    const emailRegex = /^[^\s@]+@[^\s@]+\.[^\s@]{2,}$/;
    return emailRegex.test(emailValue);
  }

  function didUpdateEmail(emailValue) {
    const emailError = document.getElementById('email-error');
    if (isValidEmail(emailValue)) {
      emailField.classList.remove('text-input-error');
      emailError.classList.add('hidden');
      return;
    } else {
      emailError.innerText = 'Invalid email address';
    }
    emailField.classList.add('text-input-error');
    emailError.classList.remove('hidden');
  }

  function isReadyToSubmit(emailValue) {
    if(isValidEmail(emailValue)) {
      submitButton.disabled = false;
    } else {
      submitButton.disabled = true;
    }
  }
</script>